Package ghidra.graph.job

# Class TwinkleVertexAnimator<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.job.AbstractAnimator
ghidra.graph.job.TwinkleVertexAnimator<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

public class TwinkleVertexAnimator<V extends VisualVertex,E extends VisualEdge<V>> extends AbstractAnimator
A class to animate a vertex in order to draw attention to it. Note: this class is not a `AbstractAnimatorJob` so that it can run concurrently with jobs in the graph (jobs run one-at-a-time).

- ## Field Summary

  ### Fields inherited from class ghidra.graph.job.AbstractAnimator

  `animator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TwinkleVertexAnimator(edu.uci.ics.jung.visualization.VisualizationServer<V,E> viewer, V vertex, boolean useAnimation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.jdesktop.animation.timing.Animator`
  `createAnimator()`
  `protected void`
  `finished()`
  A callback given when this animator has run to completion.
  `V`
  `getVertex()`
  `void`
  `setCurrentEmphasis(double currentEmphasis)`

  ### Methods inherited from class ghidra.graph.job.AbstractAnimator

  `followOnAnimatorScheduled, hasFinished, isRunning, setBusyListener, start, stop, stopMe, trace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TwinkleVertexAnimator

    public TwinkleVertexAnimator(edu.uci.ics.jung.visualization.VisualizationServer<V,E> viewer, V vertex, boolean useAnimation)

- ## Method Details

  - ### createAnimator

    protected org.jdesktop.animation.timing.Animator createAnimator()
    Specified by:
      `createAnimator` in class `AbstractAnimator`

  - ### finished

    protected void finished()
    Description copied from class: `AbstractAnimator`
    A callback given when this animator has run to completion. This will be called whether the animator is stopped prematurely or ends naturally.
    Specified by:
      `finished` in class `AbstractAnimator`

  - ### setCurrentEmphasis

    public void setCurrentEmphasis(double currentEmphasis)

  - ### getVertex

    public V getVertex()